pragma Ada_95;
with System;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 4.7.0 20120507 (Red Hat 4.7.0-5)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_templatespp" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#a346308c#;
   pragma Export (C, u00001, "templatesppB");
   u00002 : constant Version_32 := 16#bebd3d3f#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#7cc1b3c8#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00004, "adaS");
   u00005 : constant Version_32 := 16#b5e303bb#;
   pragma Export (C, u00005, "ada__command_lineB");
   u00006 : constant Version_32 := 16#df5044bd#;
   pragma Export (C, u00006, "ada__command_lineS");
   u00007 : constant Version_32 := 16#72a1f35b#;
   pragma Export (C, u00007, "systemS");
   u00008 : constant Version_32 := 16#90ffdd42#;
   pragma Export (C, u00008, "system__secondary_stackB");
   u00009 : constant Version_32 := 16#66cfd4f5#;
   pragma Export (C, u00009, "system__secondary_stackS");
   u00010 : constant Version_32 := 16#27940d94#;
   pragma Export (C, u00010, "system__parametersB");
   u00011 : constant Version_32 := 16#c443ff9b#;
   pragma Export (C, u00011, "system__parametersS");
   u00012 : constant Version_32 := 16#8c5e58a5#;
   pragma Export (C, u00012, "system__soft_linksB");
   u00013 : constant Version_32 := 16#aed143ad#;
   pragma Export (C, u00013, "system__soft_linksS");
   u00014 : constant Version_32 := 16#955a695d#;
   pragma Export (C, u00014, "ada__exceptionsB");
   u00015 : constant Version_32 := 16#784ab406#;
   pragma Export (C, u00015, "ada__exceptionsS");
   u00016 : constant Version_32 := 16#919fb168#;
   pragma Export (C, u00016, "ada__exceptions__last_chance_handlerB");
   u00017 : constant Version_32 := 16#29e1b15a#;
   pragma Export (C, u00017, "ada__exceptions__last_chance_handlerS");
   u00018 : constant Version_32 := 16#fc178b81#;
   pragma Export (C, u00018, "system__exception_tableB");
   u00019 : constant Version_32 := 16#e3cf2ffe#;
   pragma Export (C, u00019, "system__exception_tableS");
   u00020 : constant Version_32 := 16#84debe5c#;
   pragma Export (C, u00020, "system__htableB");
   u00021 : constant Version_32 := 16#f109bd55#;
   pragma Export (C, u00021, "system__htableS");
   u00022 : constant Version_32 := 16#8b7dad61#;
   pragma Export (C, u00022, "system__string_hashB");
   u00023 : constant Version_32 := 16#543d2bcf#;
   pragma Export (C, u00023, "system__string_hashS");
   u00024 : constant Version_32 := 16#aad75561#;
   pragma Export (C, u00024, "system__exceptionsB");
   u00025 : constant Version_32 := 16#7e5f3bec#;
   pragma Export (C, u00025, "system__exceptionsS");
   u00026 : constant Version_32 := 16#010db1dc#;
   pragma Export (C, u00026, "system__exceptions_debugB");
   u00027 : constant Version_32 := 16#4ad1d68f#;
   pragma Export (C, u00027, "system__exceptions_debugS");
   u00028 : constant Version_32 := 16#b012ff50#;
   pragma Export (C, u00028, "system__img_intB");
   u00029 : constant Version_32 := 16#707a1399#;
   pragma Export (C, u00029, "system__img_intS");
   u00030 : constant Version_32 := 16#ace32e1e#;
   pragma Export (C, u00030, "system__storage_elementsB");
   u00031 : constant Version_32 := 16#886c8ec3#;
   pragma Export (C, u00031, "system__storage_elementsS");
   u00032 : constant Version_32 := 16#dc8e33ed#;
   pragma Export (C, u00032, "system__tracebackB");
   u00033 : constant Version_32 := 16#1326272e#;
   pragma Export (C, u00033, "system__tracebackS");
   u00034 : constant Version_32 := 16#907d882f#;
   pragma Export (C, u00034, "system__wch_conB");
   u00035 : constant Version_32 := 16#cd4add66#;
   pragma Export (C, u00035, "system__wch_conS");
   u00036 : constant Version_32 := 16#22fed88a#;
   pragma Export (C, u00036, "system__wch_stwB");
   u00037 : constant Version_32 := 16#e05bf167#;
   pragma Export (C, u00037, "system__wch_stwS");
   u00038 : constant Version_32 := 16#b8a9e30d#;
   pragma Export (C, u00038, "system__wch_cnvB");
   u00039 : constant Version_32 := 16#d3b45bb0#;
   pragma Export (C, u00039, "system__wch_cnvS");
   u00040 : constant Version_32 := 16#129923ea#;
   pragma Export (C, u00040, "interfacesS");
   u00041 : constant Version_32 := 16#75729fba#;
   pragma Export (C, u00041, "system__wch_jisB");
   u00042 : constant Version_32 := 16#87c6c0a4#;
   pragma Export (C, u00042, "system__wch_jisS");
   u00043 : constant Version_32 := 16#ada34a87#;
   pragma Export (C, u00043, "system__traceback_entriesB");
   u00044 : constant Version_32 := 16#20801d1a#;
   pragma Export (C, u00044, "system__traceback_entriesS");
   u00045 : constant Version_32 := 16#4f750b3b#;
   pragma Export (C, u00045, "system__stack_checkingB");
   u00046 : constant Version_32 := 16#d1034f77#;
   pragma Export (C, u00046, "system__stack_checkingS");
   u00047 : constant Version_32 := 16#af50e98f#;
   pragma Export (C, u00047, "ada__stringsS");
   u00048 : constant Version_32 := 16#261c554b#;
   pragma Export (C, u00048, "ada__strings__unboundedB");
   u00049 : constant Version_32 := 16#2bf53506#;
   pragma Export (C, u00049, "ada__strings__unboundedS");
   u00050 : constant Version_32 := 16#99f98fe0#;
   pragma Export (C, u00050, "ada__strings__searchB");
   u00051 : constant Version_32 := 16#b5a8c1d6#;
   pragma Export (C, u00051, "ada__strings__searchS");
   u00052 : constant Version_32 := 16#96e9c1e7#;
   pragma Export (C, u00052, "ada__strings__mapsB");
   u00053 : constant Version_32 := 16#24318e4c#;
   pragma Export (C, u00053, "ada__strings__mapsS");
   u00054 : constant Version_32 := 16#cc7093ac#;
   pragma Export (C, u00054, "system__bit_opsB");
   u00055 : constant Version_32 := 16#c30e4013#;
   pragma Export (C, u00055, "system__bit_opsS");
   u00056 : constant Version_32 := 16#1840af2d#;
   pragma Export (C, u00056, "system__unsigned_typesS");
   u00057 : constant Version_32 := 16#12c24a43#;
   pragma Export (C, u00057, "ada__charactersS");
   u00058 : constant Version_32 := 16#051b1b7b#;
   pragma Export (C, u00058, "ada__characters__latin_1S");
   u00059 : constant Version_32 := 16#99756144#;
   pragma Export (C, u00059, "ada__tagsB");
   u00060 : constant Version_32 := 16#db95090b#;
   pragma Export (C, u00060, "ada__tagsS");
   u00061 : constant Version_32 := 16#e6965fe6#;
   pragma Export (C, u00061, "system__val_unsB");
   u00062 : constant Version_32 := 16#08e84216#;
   pragma Export (C, u00062, "system__val_unsS");
   u00063 : constant Version_32 := 16#46a1f7a9#;
   pragma Export (C, u00063, "system__val_utilB");
   u00064 : constant Version_32 := 16#790c6644#;
   pragma Export (C, u00064, "system__val_utilS");
   u00065 : constant Version_32 := 16#b7fa72e7#;
   pragma Export (C, u00065, "system__case_utilB");
   u00066 : constant Version_32 := 16#dfbd93d3#;
   pragma Export (C, u00066, "system__case_utilS");
   u00067 : constant Version_32 := 16#c4857ee1#;
   pragma Export (C, u00067, "system__compare_array_unsigned_8B");
   u00068 : constant Version_32 := 16#a89a0596#;
   pragma Export (C, u00068, "system__compare_array_unsigned_8S");
   u00069 : constant Version_32 := 16#9d3d925a#;
   pragma Export (C, u00069, "system__address_operationsB");
   u00070 : constant Version_32 := 16#b2df1acc#;
   pragma Export (C, u00070, "system__address_operationsS");
   u00071 : constant Version_32 := 16#7d1a8895#;
   pragma Export (C, u00071, "system__machine_codeS");
   u00072 : constant Version_32 := 16#6da109c8#;
   pragma Export (C, u00072, "system__storage_pools__subpoolsB");
   u00073 : constant Version_32 := 16#578cba01#;
   pragma Export (C, u00073, "system__storage_pools__subpoolsS");
   u00074 : constant Version_32 := 16#57a37a42#;
   pragma Export (C, u00074, "system__address_imageB");
   u00075 : constant Version_32 := 16#d34d6e61#;
   pragma Export (C, u00075, "system__address_imageS");
   u00076 : constant Version_32 := 16#20f9fa25#;
   pragma Export (C, u00076, "system__finalization_mastersB");
   u00077 : constant Version_32 := 16#18545f77#;
   pragma Export (C, u00077, "system__finalization_mastersS");
   u00078 : constant Version_32 := 16#7268f812#;
   pragma Export (C, u00078, "system__img_boolB");
   u00079 : constant Version_32 := 16#877882b0#;
   pragma Export (C, u00079, "system__img_boolS");
   u00080 : constant Version_32 := 16#d7aac20c#;
   pragma Export (C, u00080, "system__ioB");
   u00081 : constant Version_32 := 16#ece30414#;
   pragma Export (C, u00081, "system__ioS");
   u00082 : constant Version_32 := 16#8cbe6205#;
   pragma Export (C, u00082, "ada__finalizationB");
   u00083 : constant Version_32 := 16#40c80ee1#;
   pragma Export (C, u00083, "ada__finalizationS");
   u00084 : constant Version_32 := 16#1358602f#;
   pragma Export (C, u00084, "ada__streamsS");
   u00085 : constant Version_32 := 16#f7ab51aa#;
   pragma Export (C, u00085, "system__finalization_rootB");
   u00086 : constant Version_32 := 16#73dd418e#;
   pragma Export (C, u00086, "system__finalization_rootS");
   u00087 : constant Version_32 := 16#a7a37cb6#;
   pragma Export (C, u00087, "system__storage_poolsB");
   u00088 : constant Version_32 := 16#a10fec36#;
   pragma Export (C, u00088, "system__storage_poolsS");
   u00089 : constant Version_32 := 16#8d43fb6a#;
   pragma Export (C, u00089, "system__atomic_countersB");
   u00090 : constant Version_32 := 16#383d9fef#;
   pragma Export (C, u00090, "system__atomic_countersS");
   u00091 : constant Version_32 := 16#a6e358bc#;
   pragma Export (C, u00091, "system__stream_attributesB");
   u00092 : constant Version_32 := 16#e89b4b3f#;
   pragma Export (C, u00092, "system__stream_attributesS");
   u00093 : constant Version_32 := 16#b46168d5#;
   pragma Export (C, u00093, "ada__io_exceptionsS");
   u00094 : constant Version_32 := 16#bc0fac87#;
   pragma Export (C, u00094, "ada__text_ioB");
   u00095 : constant Version_32 := 16#29d93336#;
   pragma Export (C, u00095, "ada__text_ioS");
   u00096 : constant Version_32 := 16#7a48d8b1#;
   pragma Export (C, u00096, "interfaces__c_streamsB");
   u00097 : constant Version_32 := 16#a539be81#;
   pragma Export (C, u00097, "interfaces__c_streamsS");
   u00098 : constant Version_32 := 16#68344ec2#;
   pragma Export (C, u00098, "system__crtlS");
   u00099 : constant Version_32 := 16#cd08bce0#;
   pragma Export (C, u00099, "system__file_ioB");
   u00100 : constant Version_32 := 16#7fd6f4b6#;
   pragma Export (C, u00100, "system__file_ioS");
   u00101 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00101, "interfaces__cB");
   u00102 : constant Version_32 := 16#f05a3eb1#;
   pragma Export (C, u00102, "interfaces__cS");
   u00103 : constant Version_32 := 16#7d1c6ec1#;
   pragma Export (C, u00103, "interfaces__c__stringsB");
   u00104 : constant Version_32 := 16#603c1c44#;
   pragma Export (C, u00104, "interfaces__c__stringsS");
   u00105 : constant Version_32 := 16#a50435f4#;
   pragma Export (C, u00105, "system__crtl__runtimeS");
   u00106 : constant Version_32 := 16#ea977b1a#;
   pragma Export (C, u00106, "system__os_libB");
   u00107 : constant Version_32 := 16#a6d80a38#;
   pragma Export (C, u00107, "system__os_libS");
   u00108 : constant Version_32 := 16#4cd8aca0#;
   pragma Export (C, u00108, "system__stringsB");
   u00109 : constant Version_32 := 16#c54bb99f#;
   pragma Export (C, u00109, "system__stringsS");
   u00110 : constant Version_32 := 16#ad9e1d61#;
   pragma Export (C, u00110, "system__file_control_blockS");
   u00111 : constant Version_32 := 16#ba5d60c7#;
   pragma Export (C, u00111, "system__pool_globalB");
   u00112 : constant Version_32 := 16#d56df0a6#;
   pragma Export (C, u00112, "system__pool_globalS");
   u00113 : constant Version_32 := 16#3ef3e770#;
   pragma Export (C, u00113, "system__memoryB");
   u00114 : constant Version_32 := 16#b82a4f4e#;
   pragma Export (C, u00114, "system__memoryS");
   u00115 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00115, "gnatS");
   u00116 : constant Version_32 := 16#2896069d#;
   pragma Export (C, u00116, "gnat__command_lineB");
   u00117 : constant Version_32 := 16#3e823f9a#;
   pragma Export (C, u00117, "gnat__command_lineS");
   u00118 : constant Version_32 := 16#833355f1#;
   pragma Export (C, u00118, "ada__characters__handlingB");
   u00119 : constant Version_32 := 16#3006d996#;
   pragma Export (C, u00119, "ada__characters__handlingS");
   u00120 : constant Version_32 := 16#7a69aa90#;
   pragma Export (C, u00120, "ada__strings__maps__constantsS");
   u00121 : constant Version_32 := 16#83d40f8d#;
   pragma Export (C, u00121, "gnat__directory_operationsB");
   u00122 : constant Version_32 := 16#873f5369#;
   pragma Export (C, u00122, "gnat__directory_operationsS");
   u00123 : constant Version_32 := 16#914b496f#;
   pragma Export (C, u00123, "ada__strings__fixedB");
   u00124 : constant Version_32 := 16#dc686502#;
   pragma Export (C, u00124, "ada__strings__fixedS");
   u00125 : constant Version_32 := 16#10f589ff#;
   pragma Export (C, u00125, "gnat__os_libS");
   u00126 : constant Version_32 := 16#7993dbbd#;
   pragma Export (C, u00126, "system__val_intB");
   u00127 : constant Version_32 := 16#3a04d964#;
   pragma Export (C, u00127, "system__val_intS");
   u00128 : constant Version_32 := 16#084c16d0#;
   pragma Export (C, u00128, "gnat__regexpS");
   u00129 : constant Version_32 := 16#e7698cad#;
   pragma Export (C, u00129, "system__regexpB");
   u00130 : constant Version_32 := 16#bc3008e7#;
   pragma Export (C, u00130, "system__regexpS");
   u00131 : constant Version_32 := 16#7d3103a4#;
   pragma Export (C, u00131, "gnat__stringsS");
   u00132 : constant Version_32 := 16#7c32a58a#;
   pragma Export (C, u00132, "templates_parserB");
   u00133 : constant Version_32 := 16#a9321c92#;
   pragma Export (C, u00133, "templates_parserS");
   u00134 : constant Version_32 := 16#3972cff0#;
   pragma Export (C, u00134, "ada__calendarB");
   u00135 : constant Version_32 := 16#0bc00dc5#;
   pragma Export (C, u00135, "ada__calendarS");
   u00136 : constant Version_32 := 16#22d03640#;
   pragma Export (C, u00136, "system__os_primitivesB");
   u00137 : constant Version_32 := 16#c2707f72#;
   pragma Export (C, u00137, "system__os_primitivesS");
   u00138 : constant Version_32 := 16#5e196e91#;
   pragma Export (C, u00138, "ada__containersS");
   u00139 : constant Version_32 := 16#654e2c4c#;
   pragma Export (C, u00139, "ada__containers__hash_tablesS");
   u00140 : constant Version_32 := 16#c24eaf4d#;
   pragma Export (C, u00140, "ada__containers__prime_numbersB");
   u00141 : constant Version_32 := 16#6d3af8ed#;
   pragma Export (C, u00141, "ada__containers__prime_numbersS");
   u00142 : constant Version_32 := 16#bd084245#;
   pragma Export (C, u00142, "ada__strings__hashB");
   u00143 : constant Version_32 := 16#fe83f2e7#;
   pragma Export (C, u00143, "ada__strings__hashS");
   u00144 : constant Version_32 := 16#e5d07804#;
   pragma Export (C, u00144, "ada__strings__hash_case_insensitiveB");
   u00145 : constant Version_32 := 16#f9e6d5c1#;
   pragma Export (C, u00145, "ada__strings__hash_case_insensitiveS");
   u00146 : constant Version_32 := 16#021f5226#;
   pragma Export (C, u00146, "gnat__calendarB");
   u00147 : constant Version_32 := 16#70216838#;
   pragma Export (C, u00147, "gnat__calendarS");
   u00148 : constant Version_32 := 16#67aae5ff#;
   pragma Export (C, u00148, "gnat__calendar__time_ioB");
   u00149 : constant Version_32 := 16#55b2db5b#;
   pragma Export (C, u00149, "gnat__calendar__time_ioS");
   u00150 : constant Version_32 := 16#d37ed4a2#;
   pragma Export (C, u00150, "gnat__case_utilB");
   u00151 : constant Version_32 := 16#5f04590f#;
   pragma Export (C, u00151, "gnat__case_utilS");
   u00152 : constant Version_32 := 16#1eab0e09#;
   pragma Export (C, u00152, "system__img_enum_newB");
   u00153 : constant Version_32 := 16#f5a638ab#;
   pragma Export (C, u00153, "system__img_enum_newS");
   u00154 : constant Version_32 := 16#06417083#;
   pragma Export (C, u00154, "system__img_lluB");
   u00155 : constant Version_32 := 16#5189afee#;
   pragma Export (C, u00155, "system__img_lluS");
   u00156 : constant Version_32 := 16#c72dc161#;
   pragma Export (C, u00156, "gnat__regpatS");
   u00157 : constant Version_32 := 16#b97b88d3#;
   pragma Export (C, u00157, "system__regpatB");
   u00158 : constant Version_32 := 16#f0fb6824#;
   pragma Export (C, u00158, "system__regpatS");
   u00159 : constant Version_32 := 16#2b93a046#;
   pragma Export (C, u00159, "system__img_charB");
   u00160 : constant Version_32 := 16#ee95abbc#;
   pragma Export (C, u00160, "system__img_charS");
   u00161 : constant Version_32 := 16#1eadf3c6#;
   pragma Export (C, u00161, "system__strings__stream_opsB");
   u00162 : constant Version_32 := 16#8453d1c6#;
   pragma Export (C, u00162, "system__strings__stream_opsS");
   u00163 : constant Version_32 := 16#3914ebd7#;
   pragma Export (C, u00163, "ada__streams__stream_ioB");
   u00164 : constant Version_32 := 16#f0e417a0#;
   pragma Export (C, u00164, "ada__streams__stream_ioS");
   u00165 : constant Version_32 := 16#595ba38f#;
   pragma Export (C, u00165, "system__communicationB");
   u00166 : constant Version_32 := 16#f08f5d71#;
   pragma Export (C, u00166, "system__communicationS");
   u00167 : constant Version_32 := 16#17561427#;
   pragma Export (C, u00167, "templates_parser__configurationS");
   u00168 : constant Version_32 := 16#33e1cc40#;
   pragma Export (C, u00168, "templates_parser__inputB");
   u00169 : constant Version_32 := 16#09f8a343#;
   pragma Export (C, u00169, "templates_parser__inputS");
   u00170 : constant Version_32 := 16#ace132c6#;
   pragma Export (C, u00170, "templates_parser__utilsB");
   u00171 : constant Version_32 := 16#cf06291e#;
   pragma Export (C, u00171, "templates_parser__utilsS");
   u00172 : constant Version_32 := 16#c7537bcf#;
   pragma Export (C, u00172, "ada__directoriesB");
   u00173 : constant Version_32 := 16#706207bb#;
   pragma Export (C, u00173, "ada__directoriesS");
   u00174 : constant Version_32 := 16#58c58b5e#;
   pragma Export (C, u00174, "ada__calendar__formattingB");
   u00175 : constant Version_32 := 16#7ece677a#;
   pragma Export (C, u00175, "ada__calendar__formattingS");
   u00176 : constant Version_32 := 16#e3cca715#;
   pragma Export (C, u00176, "ada__calendar__time_zonesB");
   u00177 : constant Version_32 := 16#74a1fd86#;
   pragma Export (C, u00177, "ada__calendar__time_zonesS");
   u00178 : constant Version_32 := 16#730c1f82#;
   pragma Export (C, u00178, "system__val_realB");
   u00179 : constant Version_32 := 16#8c88844a#;
   pragma Export (C, u00179, "system__val_realS");
   u00180 : constant Version_32 := 16#0be1b996#;
   pragma Export (C, u00180, "system__exn_llfB");
   u00181 : constant Version_32 := 16#f325edb4#;
   pragma Export (C, u00181, "system__exn_llfS");
   u00182 : constant Version_32 := 16#1b28662b#;
   pragma Export (C, u00182, "system__float_controlB");
   u00183 : constant Version_32 := 16#925db067#;
   pragma Export (C, u00183, "system__float_controlS");
   u00184 : constant Version_32 := 16#22d1952c#;
   pragma Export (C, u00184, "system__powten_tableS");
   u00185 : constant Version_32 := 16#e559f18d#;
   pragma Export (C, u00185, "ada__directories__validityB");
   u00186 : constant Version_32 := 16#a2334639#;
   pragma Export (C, u00186, "ada__directories__validityS");
   u00187 : constant Version_32 := 16#80dfbf26#;
   pragma Export (C, u00187, "system__os_constantsS");
   u00188 : constant Version_32 := 16#a22cab9a#;
   pragma Export (C, u00188, "ada__environment_variablesB");
   u00189 : constant Version_32 := 16#35b9fcf5#;
   pragma Export (C, u00189, "ada__environment_variablesS");
   u00190 : constant Version_32 := 16#0a12f45b#;
   pragma Export (C, u00190, "templates_parser_taskingB");
   u00191 : constant Version_32 := 16#4c0209f0#;
   pragma Export (C, u00191, "templates_parser_taskingS");
   u00192 : constant Version_32 := 16#91163213#;
   pragma Export (C, u00192, "ada__task_identificationB");
   u00193 : constant Version_32 := 16#b7f10747#;
   pragma Export (C, u00193, "ada__task_identificationS");
   u00194 : constant Version_32 := 16#80f5f3d0#;
   pragma Export (C, u00194, "system__task_primitivesS");
   u00195 : constant Version_32 := 16#947b5864#;
   pragma Export (C, u00195, "system__os_interfaceB");
   u00196 : constant Version_32 := 16#ee51ec46#;
   pragma Export (C, u00196, "system__os_interfaceS");
   u00197 : constant Version_32 := 16#0266381e#;
   pragma Export (C, u00197, "system__linuxS");
   u00198 : constant Version_32 := 16#27f5dd5d#;
   pragma Export (C, u00198, "system__task_primitives__operationsB");
   u00199 : constant Version_32 := 16#074016cd#;
   pragma Export (C, u00199, "system__task_primitives__operationsS");
   u00200 : constant Version_32 := 16#903909a4#;
   pragma Export (C, u00200, "system__interrupt_managementB");
   u00201 : constant Version_32 := 16#8698ebe5#;
   pragma Export (C, u00201, "system__interrupt_managementS");
   u00202 : constant Version_32 := 16#c313b593#;
   pragma Export (C, u00202, "system__multiprocessorsB");
   u00203 : constant Version_32 := 16#4a0d6c28#;
   pragma Export (C, u00203, "system__multiprocessorsS");
   u00204 : constant Version_32 := 16#d2722bde#;
   pragma Export (C, u00204, "system__stack_checking__operationsB");
   u00205 : constant Version_32 := 16#49df1cef#;
   pragma Export (C, u00205, "system__stack_checking__operationsS");
   u00206 : constant Version_32 := 16#3d54d5f6#;
   pragma Export (C, u00206, "system__task_infoB");
   u00207 : constant Version_32 := 16#b4328d2b#;
   pragma Export (C, u00207, "system__task_infoS");
   u00208 : constant Version_32 := 16#f765137c#;
   pragma Export (C, u00208, "system__taskingB");
   u00209 : constant Version_32 := 16#eb821162#;
   pragma Export (C, u00209, "system__taskingS");
   u00210 : constant Version_32 := 16#7b8aedca#;
   pragma Export (C, u00210, "system__stack_usageB");
   u00211 : constant Version_32 := 16#f4e602da#;
   pragma Export (C, u00211, "system__stack_usageS");
   u00212 : constant Version_32 := 16#aaa1f830#;
   pragma Export (C, u00212, "system__tasking__debugB");
   u00213 : constant Version_32 := 16#f87f5918#;
   pragma Export (C, u00213, "system__tasking__debugS");
   u00214 : constant Version_32 := 16#39591e91#;
   pragma Export (C, u00214, "system__concat_2B");
   u00215 : constant Version_32 := 16#897101a7#;
   pragma Export (C, u00215, "system__concat_2S");
   u00216 : constant Version_32 := 16#ae97ef6c#;
   pragma Export (C, u00216, "system__concat_3B");
   u00217 : constant Version_32 := 16#048bf131#;
   pragma Export (C, u00217, "system__concat_3S");
   u00218 : constant Version_32 := 16#c9fdc962#;
   pragma Export (C, u00218, "system__concat_6B");
   u00219 : constant Version_32 := 16#b56b064f#;
   pragma Export (C, u00219, "system__concat_6S");
   u00220 : constant Version_32 := 16#def1dd00#;
   pragma Export (C, u00220, "system__concat_5B");
   u00221 : constant Version_32 := 16#62983dfa#;
   pragma Export (C, u00221, "system__concat_5S");
   u00222 : constant Version_32 := 16#3493e6c0#;
   pragma Export (C, u00222, "system__concat_4B");
   u00223 : constant Version_32 := 16#70fe10e5#;
   pragma Export (C, u00223, "system__concat_4S");
   u00224 : constant Version_32 := 16#194ccd7b#;
   pragma Export (C, u00224, "system__img_unsB");
   u00225 : constant Version_32 := 16#87b493da#;
   pragma Export (C, u00225, "system__img_unsS");
   u00226 : constant Version_32 := 16#d2bce054#;
   pragma Export (C, u00226, "system__tasking__utilitiesB");
   u00227 : constant Version_32 := 16#588eda2e#;
   pragma Export (C, u00227, "system__tasking__utilitiesS");
   u00228 : constant Version_32 := 16#da6ced5c#;
   pragma Export (C, u00228, "system__tasking__initializationB");
   u00229 : constant Version_32 := 16#93a57cc9#;
   pragma Export (C, u00229, "system__tasking__initializationS");
   u00230 : constant Version_32 := 16#23d6a5c7#;
   pragma Export (C, u00230, "system__soft_links__taskingB");
   u00231 : constant Version_32 := 16#ed4856ff#;
   pragma Export (C, u00231, "system__soft_links__taskingS");
   u00232 : constant Version_32 := 16#17d21067#;
   pragma Export (C, u00232, "ada__exceptions__is_null_occurrenceB");
   u00233 : constant Version_32 := 16#ee91a0eb#;
   pragma Export (C, u00233, "ada__exceptions__is_null_occurrenceS");
   u00234 : constant Version_32 := 16#b892e5ab#;
   pragma Export (C, u00234, "system__tasking__queuingB");
   u00235 : constant Version_32 := 16#ca5254e7#;
   pragma Export (C, u00235, "system__tasking__queuingS");
   u00236 : constant Version_32 := 16#78928eb3#;
   pragma Export (C, u00236, "system__tasking__protected_objectsB");
   u00237 : constant Version_32 := 16#0e06b2d3#;
   pragma Export (C, u00237, "system__tasking__protected_objectsS");
   u00238 : constant Version_32 := 16#ee80728a#;
   pragma Export (C, u00238, "system__tracesB");
   u00239 : constant Version_32 := 16#80bc9bf1#;
   pragma Export (C, u00239, "system__tracesS");
   u00240 : constant Version_32 := 16#68888cbc#;
   pragma Export (C, u00240, "system__tasking__protected_objects__entriesB");
   u00241 : constant Version_32 := 16#db92b260#;
   pragma Export (C, u00241, "system__tasking__protected_objects__entriesS");
   u00242 : constant Version_32 := 16#386436bc#;
   pragma Export (C, u00242, "system__restrictionsB");
   u00243 : constant Version_32 := 16#3e6c43d2#;
   pragma Export (C, u00243, "system__restrictionsS");
   u00244 : constant Version_32 := 16#bd6fc52e#;
   pragma Export (C, u00244, "system__traces__taskingB");
   u00245 : constant Version_32 := 16#52029525#;
   pragma Export (C, u00245, "system__traces__taskingS");
   u00246 : constant Version_32 := 16#44a48e41#;
   pragma Export (C, u00246, "system__tasking__protected_objects__operationsB");
   u00247 : constant Version_32 := 16#099e8e9f#;
   pragma Export (C, u00247, "system__tasking__protected_objects__operationsS");
   u00248 : constant Version_32 := 16#6ee4c230#;
   pragma Export (C, u00248, "system__tasking__entry_callsB");
   u00249 : constant Version_32 := 16#84b0eb9c#;
   pragma Export (C, u00249, "system__tasking__entry_callsS");
   u00250 : constant Version_32 := 16#da47006c#;
   pragma Export (C, u00250, "system__tasking__rendezvousB");
   u00251 : constant Version_32 := 16#feb62eb6#;
   pragma Export (C, u00251, "system__tasking__rendezvousS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.handling%s
   --  ada.characters.latin_1%s
   --  ada.command_line%s
   --  ada.environment_variables%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.atomic_counters%s
   --  system.case_util%s
   --  system.case_util%b
   --  gnat.case_util%s
   --  gnat.case_util%b
   --  system.exn_llf%s
   --  system.exn_llf%b
   --  system.float_control%s
   --  system.float_control%b
   --  system.htable%s
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_char%s
   --  system.img_char%b
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.io%s
   --  system.io%b
   --  system.linux%s
   --  system.machine_code%s
   --  system.atomic_counters%b
   --  system.multiprocessors%s
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.powten_table%s
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.stack_checking.operations%s
   --  system.stack_usage%s
   --  system.stack_usage%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  gnat.strings%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  ada.exceptions.is_null_occurrence%s
   --  ada.exceptions.is_null_occurrence%b
   --  system.soft_links%s
   --  system.stack_checking.operations%b
   --  system.traces%s
   --  system.traces%b
   --  system.unsigned_types%s
   --  system.img_llu%s
   --  system.img_llu%b
   --  system.img_uns%s
   --  system.img_uns%b
   --  system.val_int%s
   --  system.val_real%s
   --  system.val_uns%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_uns%b
   --  system.val_real%b
   --  system.val_int%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  system.address_image%s
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.concat_3%s
   --  system.concat_3%b
   --  system.concat_4%s
   --  system.concat_4%b
   --  system.concat_5%s
   --  system.concat_5%b
   --  system.concat_6%s
   --  system.concat_6%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.containers%s
   --  ada.containers.hash_tables%s
   --  ada.containers.prime_numbers%s
   --  ada.containers.prime_numbers%b
   --  ada.io_exceptions%s
   --  ada.strings%s
   --  ada.strings.hash%s
   --  ada.strings.hash%b
   --  ada.strings.hash_case_insensitive%s
   --  ada.strings.maps%s
   --  ada.strings.fixed%s
   --  ada.strings.maps.constants%s
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.tags%s
   --  ada.streams%s
   --  interfaces.c%s
   --  system.multiprocessors%b
   --  interfaces.c.strings%s
   --  system.crtl.runtime%s
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.os_constants%s
   --  system.os_interface%s
   --  system.os_interface%b
   --  system.interrupt_management%s
   --  system.regpat%s
   --  gnat.regpat%s
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  system.task_info%s
   --  system.task_info%b
   --  system.task_primitives%s
   --  system.interrupt_management%b
   --  system.tasking%s
   --  ada.task_identification%s
   --  system.task_primitives.operations%s
   --  system.tasking%b
   --  system.tasking.debug%s
   --  system.tasking.debug%b
   --  system.task_primitives.operations%b
   --  system.traces.tasking%s
   --  system.traces.tasking%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.calendar.time_zones%s
   --  ada.calendar.time_zones%b
   --  ada.calendar.formatting%s
   --  gnat.calendar%s
   --  gnat.calendar%b
   --  gnat.calendar.time_io%s
   --  gnat.directory_operations%s
   --  system.communication%s
   --  system.communication%b
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.secondary_stack%s
   --  system.regpat%b
   --  interfaces.c.strings%b
   --  interfaces.c%b
   --  ada.tags%b
   --  ada.strings.fixed%b
   --  ada.strings.maps%b
   --  ada.strings.hash_case_insensitive%b
   --  system.soft_links%b
   --  ada.environment_variables%b
   --  ada.command_line%b
   --  ada.characters.handling%b
   --  system.secondary_stack%b
   --  ada.calendar.formatting%b
   --  system.address_image%b
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.finalization%b
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.finalization_masters%b
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  ada.directories%s
   --  ada.directories.validity%s
   --  ada.directories.validity%b
   --  system.os_lib%s
   --  system.os_lib%b
   --  gnat.os_lib%s
   --  gnat.directory_operations%b
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.file_control_block%s
   --  ada.streams.stream_io%s
   --  system.file_io%s
   --  system.file_io%b
   --  ada.streams.stream_io%b
   --  system.regexp%s
   --  system.regexp%b
   --  ada.directories%b
   --  gnat.regexp%s
   --  gnat.command_line%s
   --  system.soft_links.tasking%s
   --  system.soft_links.tasking%b
   --  system.strings.stream_ops%s
   --  system.strings.stream_ops%b
   --  system.tasking.entry_calls%s
   --  system.tasking.initialization%s
   --  system.tasking.initialization%b
   --  system.tasking.protected_objects%s
   --  system.tasking.protected_objects%b
   --  system.tasking.utilities%s
   --  ada.task_identification%b
   --  system.traceback%s
   --  ada.exceptions%b
   --  system.traceback%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  gnat.command_line%b
   --  gnat.calendar.time_io%b
   --  system.tasking.protected_objects.entries%s
   --  system.tasking.protected_objects.entries%b
   --  system.tasking.queuing%s
   --  system.tasking.queuing%b
   --  system.tasking.utilities%b
   --  system.tasking.rendezvous%s
   --  system.tasking.protected_objects.operations%s
   --  system.tasking.protected_objects.operations%b
   --  system.tasking.rendezvous%b
   --  system.tasking.entry_calls%b
   --  templates_parser_tasking%s
   --  templates_parser_tasking%b
   --  templates_parser%s
   --  templatespp%b
   --  templates_parser.configuration%s
   --  templates_parser.input%s
   --  templates_parser.input%b
   --  templates_parser.utils%s
   --  templates_parser.utils%b
   --  templates_parser%b
   --  END ELABORATION ORDER


end ada_main;
