pragma Ada_95;
pragma Source_File_Name (ada_main, Spec_File_Name => "b~templatespp.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b~templatespp.adb");

with System.Restrictions;
with Ada.Exceptions;

package body ada_main is
   pragma Warnings (Off);

   E211 : Short_Integer; pragma Import (Ada, E211, "system__stack_usage_E");
   E013 : Short_Integer; pragma Import (Ada, E013, "system__soft_links_E");
   E019 : Short_Integer; pragma Import (Ada, E019, "system__exception_table_E");
   E138 : Short_Integer; pragma Import (Ada, E138, "ada__containers_E");
   E093 : Short_Integer; pragma Import (Ada, E093, "ada__io_exceptions_E");
   E047 : Short_Integer; pragma Import (Ada, E047, "ada__strings_E");
   E053 : Short_Integer; pragma Import (Ada, E053, "ada__strings__maps_E");
   E120 : Short_Integer; pragma Import (Ada, E120, "ada__strings__maps__constants_E");
   E060 : Short_Integer; pragma Import (Ada, E060, "ada__tags_E");
   E084 : Short_Integer; pragma Import (Ada, E084, "ada__streams_E");
   E102 : Short_Integer; pragma Import (Ada, E102, "interfaces__c_E");
   E104 : Short_Integer; pragma Import (Ada, E104, "interfaces__c__strings_E");
   E025 : Short_Integer; pragma Import (Ada, E025, "system__exceptions_E");
   E158 : Short_Integer; pragma Import (Ada, E158, "system__regpat_E");
   E207 : Short_Integer; pragma Import (Ada, E207, "system__task_info_E");
   E135 : Short_Integer; pragma Import (Ada, E135, "ada__calendar_E");
   E177 : Short_Integer; pragma Import (Ada, E177, "ada__calendar__time_zones_E");
   E147 : Short_Integer; pragma Import (Ada, E147, "gnat__calendar_E");
   E149 : Short_Integer; pragma Import (Ada, E149, "gnat__calendar__time_io_E");
   E122 : Short_Integer; pragma Import (Ada, E122, "gnat__directory_operations_E");
   E009 : Short_Integer; pragma Import (Ada, E009, "system__secondary_stack_E");
   E086 : Short_Integer; pragma Import (Ada, E086, "system__finalization_root_E");
   E083 : Short_Integer; pragma Import (Ada, E083, "ada__finalization_E");
   E088 : Short_Integer; pragma Import (Ada, E088, "system__storage_pools_E");
   E077 : Short_Integer; pragma Import (Ada, E077, "system__finalization_masters_E");
   E073 : Short_Integer; pragma Import (Ada, E073, "system__storage_pools__subpools_E");
   E049 : Short_Integer; pragma Import (Ada, E049, "ada__strings__unbounded_E");
   E173 : Short_Integer; pragma Import (Ada, E173, "ada__directories_E");
   E107 : Short_Integer; pragma Import (Ada, E107, "system__os_lib_E");
   E112 : Short_Integer; pragma Import (Ada, E112, "system__pool_global_E");
   E110 : Short_Integer; pragma Import (Ada, E110, "system__file_control_block_E");
   E164 : Short_Integer; pragma Import (Ada, E164, "ada__streams__stream_io_E");
   E100 : Short_Integer; pragma Import (Ada, E100, "system__file_io_E");
   E130 : Short_Integer; pragma Import (Ada, E130, "system__regexp_E");
   E117 : Short_Integer; pragma Import (Ada, E117, "gnat__command_line_E");
   E162 : Short_Integer; pragma Import (Ada, E162, "system__strings__stream_ops_E");
   E229 : Short_Integer; pragma Import (Ada, E229, "system__tasking__initialization_E");
   E237 : Short_Integer; pragma Import (Ada, E237, "system__tasking__protected_objects_E");
   E095 : Short_Integer; pragma Import (Ada, E095, "ada__text_io_E");
   E241 : Short_Integer; pragma Import (Ada, E241, "system__tasking__protected_objects__entries_E");
   E235 : Short_Integer; pragma Import (Ada, E235, "system__tasking__queuing_E");
   E191 : Short_Integer; pragma Import (Ada, E191, "templates_parser_tasking_E");
   E133 : Short_Integer; pragma Import (Ada, E133, "templates_parser_E");
   E169 : Short_Integer; pragma Import (Ada, E169, "templates_parser__input_E");
   E171 : Short_Integer; pragma Import (Ada, E171, "templates_parser__utils_E");

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
      LE_Set : Boolean;
      pragma Import (Ada, LE_Set, "__gnat_library_exception_set");
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "templates_parser__finalize_body");
      begin
         E133 := E133 - 1;
         F1;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "templates_parser__finalize_spec");
      begin
         F2;
      end;
      declare
         procedure F3;
         pragma Import (Ada, F3, "templates_parser_tasking__finalize_body");
      begin
         E191 := E191 - 1;
         F3;
      end;
      E241 := E241 - 1;
      declare
         procedure F4;
         pragma Import (Ada, F4, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         F4;
      end;
      E095 := E095 - 1;
      declare
         procedure F5;
         pragma Import (Ada, F5, "ada__text_io__finalize_spec");
      begin
         F5;
      end;
      E173 := E173 - 1;
      E130 := E130 - 1;
      declare
         procedure F6;
         pragma Import (Ada, F6, "system__regexp__finalize_spec");
      begin
         F6;
      end;
      E164 := E164 - 1;
      declare
         procedure F7;
         pragma Import (Ada, F7, "system__file_io__finalize_body");
      begin
         E100 := E100 - 1;
         F7;
      end;
      declare
         procedure F8;
         pragma Import (Ada, F8, "ada__streams__stream_io__finalize_spec");
      begin
         F8;
      end;
      declare
         procedure F9;
         pragma Import (Ada, F9, "system__file_control_block__finalize_spec");
      begin
         E110 := E110 - 1;
         F9;
      end;
      E112 := E112 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "system__pool_global__finalize_spec");
      begin
         F10;
      end;
      declare
         procedure F11;
         pragma Import (Ada, F11, "ada__directories__finalize_spec");
      begin
         F11;
      end;
      E049 := E049 - 1;
      declare
         procedure F12;
         pragma Import (Ada, F12, "ada__strings__unbounded__finalize_spec");
      begin
         F12;
      end;
      E073 := E073 - 1;
      declare
         procedure F13;
         pragma Import (Ada, F13, "system__storage_pools__subpools__finalize_spec");
      begin
         F13;
      end;
      E077 := E077 - 1;
      declare
         procedure F14;
         pragma Import (Ada, F14, "system__finalization_masters__finalize_spec");
      begin
         F14;
      end;
      E086 := E086 - 1;
      declare
         procedure F15;
         pragma Import (Ada, F15, "system__finalization_root__finalize_spec");
      begin
         F15;
      end;
      if LE_Set then
         declare
            LE : Ada.Exceptions.Exception_Occurrence;
            pragma Import (Ada, LE, "__gnat_library_exception");
            procedure Raise_From_Controlled_Operation (X : Ada.Exceptions.Exception_Occurrence);
            pragma Import (Ada, Raise_From_Controlled_Operation, "__gnat_raise_from_controlled_operation");
         begin
            Raise_From_Controlled_Operation (LE);
         end;
      end if;
   end finalize_library;

   procedure adafinal is
      procedure s_stalib_adafinal;
      pragma Import (C, s_stalib_adafinal, "system__standard_library__adafinal");
   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      s_stalib_adafinal;
   end adafinal;

   type No_Param_Proc is access procedure;

   procedure adainit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Exception_Tracebacks : Integer;
      pragma Import (C, Exception_Tracebacks, "__gl_exception_tracebacks");
      Zero_Cost_Exceptions : Integer;
      pragma Import (C, Zero_Cost_Exceptions, "__gl_zero_cost_exceptions");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");

      procedure Install_Handler;
      pragma Import (C, Install_Handler, "__gnat_install_handler");

      Handler_Installed : Integer;
      pragma Import (C, Handler_Installed, "__gnat_handler_installed");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, True, False, False, False, False, 
           False, False, False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (True, False, True, True, False, False, False, True, 
           False, True, True, True, True, False, False, True, 
           False, False, True, True, False, True, True, True, 
           True, True, True, True, True, True, False, True, 
           False, False, True, False, True, True, False, False, 
           True, True, False, False, True, False, True, False, 
           False, False, False, False, False, True, True, True, 
           False, False, True, False, False, True, False, True, 
           True, False, True, True, True, False, True, True, 
           False, False, False, False, True, False),
         Count => (2, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Exception_Tracebacks := 1;
      Zero_Cost_Exceptions := 1;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      if Handler_Installed = 0 then
         Install_Handler;
      end if;

      Finalize_Library_Objects := finalize_library'access;

      System.Stack_Usage'Elab_Spec;
      E211 := E211 + 1;
      System.Soft_Links'Elab_Spec;
      System.Exception_Table'Elab_Body;
      E019 := E019 + 1;
      Ada.Containers'Elab_Spec;
      E138 := E138 + 1;
      Ada.Io_Exceptions'Elab_Spec;
      E093 := E093 + 1;
      Ada.Strings'Elab_Spec;
      E047 := E047 + 1;
      Ada.Strings.Maps'Elab_Spec;
      Ada.Strings.Maps.Constants'Elab_Spec;
      E120 := E120 + 1;
      Ada.Tags'Elab_Spec;
      Ada.Streams'Elab_Spec;
      E084 := E084 + 1;
      Interfaces.C'Elab_Spec;
      Interfaces.C.Strings'Elab_Spec;
      System.Exceptions'Elab_Spec;
      E025 := E025 + 1;
      System.Regpat'Elab_Spec;
      System.Task_Info'Elab_Spec;
      E207 := E207 + 1;
      Ada.Calendar'Elab_Spec;
      Ada.Calendar'Elab_Body;
      E135 := E135 + 1;
      Ada.Calendar.Time_Zones'Elab_Spec;
      E177 := E177 + 1;
      Gnat.Calendar'Elab_Spec;
      E147 := E147 + 1;
      Gnat.Calendar.Time_Io'Elab_Spec;
      Gnat.Directory_Operations'Elab_Spec;
      E158 := E158 + 1;
      E104 := E104 + 1;
      E102 := E102 + 1;
      Ada.Tags'Elab_Body;
      E060 := E060 + 1;
      E053 := E053 + 1;
      System.Soft_Links'Elab_Body;
      E013 := E013 + 1;
      System.Secondary_Stack'Elab_Body;
      E009 := E009 + 1;
      System.Finalization_Root'Elab_Spec;
      E086 := E086 + 1;
      Ada.Finalization'Elab_Spec;
      E083 := E083 + 1;
      System.Storage_Pools'Elab_Spec;
      E088 := E088 + 1;
      System.Finalization_Masters'Elab_Spec;
      System.Finalization_Masters'Elab_Body;
      E077 := E077 + 1;
      System.Storage_Pools.Subpools'Elab_Spec;
      E073 := E073 + 1;
      Ada.Strings.Unbounded'Elab_Spec;
      E049 := E049 + 1;
      Ada.Directories'Elab_Spec;
      System.Os_Lib'Elab_Body;
      E107 := E107 + 1;
      Gnat.Directory_Operations'Elab_Body;
      E122 := E122 + 1;
      System.Pool_Global'Elab_Spec;
      E112 := E112 + 1;
      System.File_Control_Block'Elab_Spec;
      E110 := E110 + 1;
      Ada.Streams.Stream_Io'Elab_Spec;
      System.File_Io'Elab_Body;
      E100 := E100 + 1;
      E164 := E164 + 1;
      System.Regexp'Elab_Spec;
      E130 := E130 + 1;
      Ada.Directories'Elab_Body;
      E173 := E173 + 1;
      Gnat.Command_Line'Elab_Spec;
      System.Strings.Stream_Ops'Elab_Body;
      E162 := E162 + 1;
      System.Tasking.Initialization'Elab_Body;
      E229 := E229 + 1;
      System.Tasking.Protected_Objects'Elab_Body;
      E237 := E237 + 1;
      Ada.Text_Io'Elab_Spec;
      Ada.Text_Io'Elab_Body;
      E095 := E095 + 1;
      Gnat.Command_Line'Elab_Body;
      E117 := E117 + 1;
      E149 := E149 + 1;
      System.Tasking.Protected_Objects.Entries'Elab_Spec;
      E241 := E241 + 1;
      System.Tasking.Queuing'Elab_Body;
      E235 := E235 + 1;
      Templates_Parser_Tasking'Elab_Body;
      E191 := E191 + 1;
      Templates_Parser'Elab_Spec;
      Templates_Parser.Input'Elab_Spec;
      E169 := E169 + 1;
      Templates_Parser.Utils'Elab_Spec;
      E171 := E171 + 1;
      Templates_Parser'Elab_Body;
      E133 := E133 + 1;
   end adainit;

   procedure Ada_Main_Program;
   pragma Import (Ada, Ada_Main_Program, "_ada_templatespp");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure Initialize (Addr : System.Address);
      pragma Import (C, Initialize, "__gnat_initialize");

      procedure Finalize;
      pragma Import (C, Finalize, "__gnat_finalize");
      SEH : aliased array (1 .. 2) of Integer;

      Ensure_Reference : aliased System.Address := Ada_Main_Program_Name'Address;
      pragma Volatile (Ensure_Reference);

   begin
      gnat_argc := argc;
      gnat_argv := argv;
      gnat_envp := envp;

      Initialize (SEH'Address);
      adainit;
      Ada_Main_Program;
      adafinal;
      Finalize;
      return (gnat_exit_status);
   end;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/templates_parser-11.6.0/.build/native/release/relocatable/tobj/templatespp.o
   --   -L/builddir/build/BUILD/templates_parser-11.6.0/.build/native/release/relocatable/tobj/
   --   -L/builddir/build/BUILD/templates_parser-11.6.0/.build/native/release/relocatable/lib/
   --   -L/usr/lib/xmlada/relocatable/
   --   -L/usr/lib/gcc/i686-redhat-linux/4.7.0/adalib/
   --   -shared
   --   -lgnarl-4.7
   --   -lgnat-4.7
   --   -lpthread
--  END Object file/option list   

end ada_main;
